# Class EncounterPhase

#### Hierarchy (view full)

- BattlePhase
  - EncounterPhase
    - NextEncounterPhase

- Defined in src/phases.ts:756

#####
Index

### Constructors

constructor

### Properties

loaded
scene

### Methods

doEncounter
doEncounterCommon
end
getEncounterMessage
hideEnemyTrainer
showEnemyTrainer
start
tryOverrideForBattleSpec

## Constructors

### constructor

- new EncounterPhase(scene, loaded?): EncounterPhase

- #### Parameters

  - scene: default
  - `Optional` loaded: boolean

  #### Returns EncounterPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:759

## Properties

### `Private` loaded

loaded: boolean

- Defined in src/phases.ts:757

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### doEncounter

- doEncounter(): void

- #### Returns void

  - Defined in src/phases.ts:889

### doEncounterCommon

- doEncounterCommon(showEncounterMessage?): void

- #### Parameters

  - showEncounterMessage: boolean = true

  #### Returns void

  - Defined in src/phases.ts:944

### end

- end(): void

- #### Returns void

  Overrides BattlePhase.end

  - Defined in src/phases.ts:1010

### getEncounterMessage

- getEncounterMessage(): string

- #### Returns string

  - Defined in src/phases.ts:923

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:765

### tryOverrideForBattleSpec

- tryOverrideForBattleSpec(): boolean

- #### Returns boolean

  - Defined in src/phases.ts:1061